JNLPFile.ManifestsAttributes (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.JNLPFile.ManifestsAttributes class
Date: 2021-05-10

net.sourceforge.jnlp

## Class JNLPFile.ManifestsAttributes

- java.lang.Object
- - net.sourceforge.jnlp.JNLPFile.ManifestsAttributes

- Enclosing class:
    JNLPFile

      public class JNLPFile.ManifestsAttributes
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APP_LIBRARY_ALLOWABLE`
    `static java.lang.String` | `APP_NAME`
    `static java.lang.String` | `CALLER_ALLOWABLE`
    `static java.lang.String` | `CODEBASE`
    `static java.lang.String` | `ENTRY_POINT`
    `static java.lang.String` | `PERMISSIONS`
    `static java.lang.String` | `TRUSTED_LIBRARY`
    `static java.lang.String` | `TRUSTED_ONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestsAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClasspathMatcher.ClasspathMatchers` | `getApplicationLibraryAllowableCodebase()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#app_library
    `java.lang.String` | `getApplicationName()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#app_name
    `java.lang.String` | `getAttribute(java.util.jar.Attributes.Name name)` get standard attribute
    `ClasspathMatcher.ClasspathMatchers` | `getCallerAllowableCodebase()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#caller_allowable
    `ClasspathMatcher.ClasspathMatchers` | `getCodebase()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#codebase
    `ClasspathMatcher.ClasspathMatchers` | `getCodeBaseMatchersAttribute(java.util.jar.Attributes.Name name, boolean includePath)`
    `ClasspathMatcher.ClasspathMatchers` | `getCodeBaseMatchersAttribute(java.lang.String s, boolean includePath)`
    `java.lang.String[]` | `getEntryPoints()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html#entry_pt
    `java.lang.String` | `getEntryPointString()`
    `java.lang.String` | `getMainClass()` main class can be defined outside of manifest.
    `boolean` | `isLoader()`
    `JNLPFile.ManifestBoolean` | `isSandboxForced()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#permissions
    `JNLPFile.ManifestBoolean` | `isTrustedLibrary()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#trusted_library
    `JNLPFile.ManifestBoolean` | `isTrustedOnly()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#trusted_only
    `java.lang.String` | `permissionsToString()` http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#permissions
    `void` | `setLoader(JNLPClassLoader loader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_NAME

          public static final java.lang.String APP_NAME

      See Also:
        Constant Field Values

    - #### CALLER_ALLOWABLE

          public static final java.lang.String CALLER_ALLOWABLE

      See Also:
        Constant Field Values

    - #### APP_LIBRARY_ALLOWABLE

          public static final java.lang.String APP_LIBRARY_ALLOWABLE

      See Also:
        Constant Field Values

    - #### PERMISSIONS

          public static final java.lang.String PERMISSIONS

      See Also:
        Constant Field Values

    - #### CODEBASE

          public static final java.lang.String CODEBASE

      See Also:
        Constant Field Values

    - #### TRUSTED_ONLY

          public static final java.lang.String TRUSTED_ONLY

      See Also:
        Constant Field Values

    - #### TRUSTED_LIBRARY

          public static final java.lang.String TRUSTED_LIBRARY

      See Also:
        Constant Field Values

    - #### ENTRY_POINT

          public static final java.lang.String ENTRY_POINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManifestsAttributes

          public ManifestsAttributes()

  - ### Method Detail

    - #### setLoader

          public void setLoader(JNLPClassLoader loader)

    - #### isLoader

          public boolean isLoader()

    - #### getMainClass

          public java.lang.String getMainClass()

      main class can be defined outside of manifest. This method is mostly for completeness
      Returns:
        main-class as it is specified in application

    - #### getEntryPoints

          public java.lang.String[] getEntryPoints()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/manifest.html#entry_pt
      Returns:
        values of Entry-Points attribute

    - #### getEntryPointString

          public java.lang.String getEntryPointString()

    - #### getApplicationName

          public java.lang.String getApplicationName()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#app_name
      Returns:
        value of Application-Name manifest attribute

    - #### getCallerAllowableCodebase

          public ClasspathMatcher.ClasspathMatchers getCallerAllowableCodebase()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#caller_allowable
      Returns:
        values of Caller-Allowable-Codebase manifest attribute

    - #### getApplicationLibraryAllowableCodebase

          public ClasspathMatcher.ClasspathMatchers getApplicationLibraryAllowableCodebase()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#app_library
      Returns:
        values of Application-Library-Allowable-Codebase manifest attribute

    - #### getCodebase

          public ClasspathMatcher.ClasspathMatchers getCodebase()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#codebase
      Returns:
        values of Codebase manifest attribute

    - #### isTrustedOnly

          public JNLPFile.ManifestBoolean isTrustedOnly()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#trusted_only
      Returns:
        value of Trusted-Only manifest attribute

    - #### isTrustedLibrary

          public JNLPFile.ManifestBoolean isTrustedLibrary()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#trusted_library
      Returns:
        value of Trusted-Library manifest attribute

    - #### isSandboxForced

          public JNLPFile.ManifestBoolean isSandboxForced()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#permissions
      Returns:
        value of Permissions manifest attribute

    - #### permissionsToString

          public java.lang.String permissionsToString()

      http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/manifest.html#permissions
      Returns:
        plain string values of Permissions manifest attribute

    - #### getAttribute

          public java.lang.String getAttribute(java.util.jar.Attributes.Name name)

      get standard attribute
      Parameters:
        `name` - name of the manifest attribute to find in application
      Returns:
        plain attribute value

    - #### getCodeBaseMatchersAttribute

          public ClasspathMatcher.ClasspathMatchers getCodeBaseMatchersAttribute(java.lang.String s,
                                                                                 boolean includePath)

    - #### getCodeBaseMatchersAttribute

          public ClasspathMatcher.ClasspathMatchers getCodeBaseMatchersAttribute(java.util.jar.Attributes.Name name,
                                                                                 boolean includePath)

Submit a bug or feature